"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_1 = require("./humanize");
var sample = "What kind of work do drivers perform? Which human task will AI come to record with its sensors, imitate with its statistical models, and replace with automation?";
describe("humanize", function () {
    test("default configuration", function () {
        expect(humanize_1.humanize(sample, undefined, { seed: "seed" })).toEqual("What oind of work do drivers percorm? WhICh hhuumman tasK ill AI come to reccor With itz sensors, iimitae withhhhh itts stAtistiCal Jodels, aamd replaceee wii6H automaion?");
    });
    test("accepts an error configuration", function () {
        expect(humanize_1.humanize(sample, {
            repetition: {
                probability: 0.2,
                type: "WORD"
            }
        }, {
            seed: "seed"
        })).toEqual("What kinddd of work do drivers perform??? Which human task will AI come to record with its sensors, imitate with its statistical models, and replace withhh automation?");
    });
    test("accepts a custom function", function () {
        expect(humanize_1.humanize(sample, {
            foo: {
                type: "WORD",
                probability: 1,
                apply: function (word) { return word.replace(/(\w+)/g, "bar"); }
            }
        })).toEqual("bar bar bar bar bar bar bar? bar bar bar bar bar bar bar bar bar bar bar, bar bar bar bar bar, bar bar bar bar?");
    });
});
