"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var remapRange_1 = require("../remapRange");
var IGNORED_INPUT_TAILS = [","];
var TAIL_PROBABILITY_OFFSETS = {
    "!": 0.1,
    "?": 0.09,
    o: 0.07,
    u: 0.06
};
exports.repeat = function (input) {
    var tail = input[input.length - 1];
    if (IGNORED_INPUT_TAILS.includes(tail)) {
        return input;
    }
    var probabilityOffset = TAIL_PROBABILITY_OFFSETS[tail] || 0.0;
    var probability = 1.0 +
        probabilityOffset -
        remapRange_1.remapRange(input.length, {
            in: {
                min: 1,
                max: 20
            },
            out: {
                min: 0.0,
                max: 1.0
            }
        });
    return Math.random() < probability ? exports.repeat(input + tail) : input;
};
