"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var randRange = function (min, max) {
    return Math.random() * (max - min) + min;
};
exports.generateStrokes = function (_a) {
    var message = _a.message, _b = _a.pauseMin, pauseMin = _b === void 0 ? 15 : _b, _c = _a.pauseMax, pauseMax = _c === void 0 ? 250 : _c;
    var strokes = message.split("").map(function (character) { return ({
        character: character,
        pause: randRange(pauseMin, pauseMax)
    }); });
    return strokes;
};
exports.simulateTyping = function (_a) {
    var message = _a.message, onCharacter = _a.onCharacter, _b = _a.pauseMin, pauseMin = _b === void 0 ? 15 : _b, _c = _a.pauseMax, pauseMax = _c === void 0 ? 250 : _c;
    return exports.generateStrokes({ message: message, pauseMin: pauseMin, pauseMax: pauseMax }).reduce(function (promise, stroke) {
        return promise.then(function (prevMessage) {
            var nextMessage = prevMessage + stroke.character;
            return new Promise(function (resolve) {
                setTimeout(function () {
                    onCharacter({ character: stroke.character, message: nextMessage });
                    resolve(nextMessage);
                }, stroke.pause);
            });
        });
    }, Promise.resolve(""));
};
